Blame SOURCES/mksh-46-lksh.patch

439a17
Index: Build.sh
439a17
===================================================================
439a17
RCS file: /cvs/src/bin/mksh/Build.sh,v
439a17
retrieving revision 1.630
439a17
retrieving revision 1.631
439a17
diff -u -p -r1.630 -r1.631
439a17
--- Build.sh	2 May 2013 21:59:44 -0000	1.630
439a17
+++ Build.sh	5 May 2013 13:38:00 -0000	1.631
439a17
@@ -63,7 +63,7 @@ vq() {
439a17
 rmf() {
439a17
 	for _f in "$@"; do
439a17
 		case $_f in
439a17
-		Build.sh|check.pl|check.t|dot.mkshrc|*.c|*.h|mksh.1) ;;
439a17
+		Build.sh|check.pl|check.t|dot.mkshrc|*.c|*.h|lksh.1|mksh.1) ;;
439a17
 		*) rm -f "$_f" ;;
439a17
 		esac
439a17
 	done
439a17
@@ -458,7 +458,7 @@ oswarn=
439a17
 ccpc=-Wc,
439a17
 ccpl=-Wl,
439a17
 tsts=
439a17
-ccpr='|| for _f in ${tcfn}*; do case $_f in Build.sh|check.pl|check.t|dot.mkshrc|*.c|*.h|mksh.1) ;; *) rm -f "$_f" ;; esac; done'
439a17
+ccpr='|| for _f in ${tcfn}*; do case $_f in Build.sh|check.pl|check.t|dot.mkshrc|*.c|*.h|lksh.1|mksh.1) ;; *) rm -f "$_f" ;; esac; done'
439a17
 
439a17
 # Evil hack
439a17
 if test x"$TARGET_OS" = x"Android"; then
439a17
@@ -2268,8 +2268,10 @@ test 1 = $eq && e=:
439a17
 $e
439a17
 $e Installing the shell:
439a17
 $e "# $i -c -s -o root -g bin -m 555 $tfn /bin/$tfn"
439a17
-$e "# grep -x /bin/$tfn /etc/shells >/dev/null || echo /bin/$tfn >>/etc/shells"
439a17
-$e "# $i -c -o root -g bin -m 444 dot.mkshrc /usr/share/doc/mksh/examples/"
439a17
+if test $legacy = 0; then
439a17
+	$e "# grep -x /bin/$tfn /etc/shells >/dev/null || echo /bin/$tfn >>/etc/shells"
439a17
+	$e "# $i -c -o root -g bin -m 444 dot.mkshrc /usr/share/doc/mksh/examples/"
439a17
+fi
439a17
 $e
439a17
 $e Installing the manual:
439a17
 if test -f $tfn.cat1; then
439a17
@@ -2277,7 +2279,7 @@ if test -f $tfn.cat1; then
439a17
 	    "/usr/share/man/cat1/$tfn.0"
439a17
 	$e or
439a17
 fi
439a17
-$e "# $i -c -o root -g bin -m 444 mksh.1 /usr/share/man/man1/$tfn.1"
439a17
+$e "# $i -c -o root -g bin -m 444 $tfn.1 /usr/share/man/man1/$tfn.1"
439a17
 $e
439a17
 $e Run the regression test suite: ./test.sh
439a17
 $e Please also read the sample file dot.mkshrc and the fine manual.
439a17